org.springframework.data.relational.repository.query

## Class RelationalParametersParameterAccessor

- java.lang.Object
- - org.springframework.data.repository.query.ParametersParameterAccessor
  - - org.springframework.data.relational.repository.query.RelationalParametersParameterAccessor

All Implemented Interfaces:
  Iterable<Object>, RelationalParameterAccessor, ParameterAccessor

    public class RelationalParametersParameterAccessor
    extends ParametersParameterAccessor
    implements RelationalParameterAccessor

Relational-specific `ParametersParameterAccessor`.

Author:
  Mark Paluch

### Constructor Summary

Constructors
Constructor and Description
`RelationalParametersParameterAccessor(QueryMethod method, Object[] values)` Creates a new `RelationalParametersParameterAccessor`.

### Method Summary

All Methods Instance Methods Concrete Methods
`Parameters<?,?>` `getBindableParameters()`
`Object[]` `getValues()` Returns the raw parameter values of the underlying query method.

### Methods inherited from class org.springframework.data.repository.query.ParametersParameterAccessor

`findDynamicProjection, getBindableValue, getDynamicProjection, getPageable, getParameters, getSort, getValue, hasBindableNullValue, iterator`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.springframework.data.repository.query.ParameterAccessor

`findDynamicProjection, getBindableValue, getDynamicProjection, getPageable, getSort, hasBindableNullValue, iterator`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Constructor Detail

#### RelationalParametersParameterAccessor

    public RelationalParametersParameterAccessor(QueryMethod method,
                                                 Object[] values)

Creates a new `RelationalParametersParameterAccessor`.

Parameters:
  `method` - must not be null.
  `values` - must not be null.

### Method Detail

#### getValues

    public Object[] getValues()

Description copied from interface: `RelationalParameterAccessor`
Returns the raw parameter values of the underlying query method.

Specified by:
  `getValues` in interface `RelationalParameterAccessor`
Overrides:
  `getValues` in class `ParametersParameterAccessor`

#### getBindableParameters

    public Parameters<?,?> getBindableParameters()

Specified by:
  `getBindableParameters` in interface `RelationalParameterAccessor`
Returns:
  the bindable parameters.